%define upstream_name	 Pod-PseudoPod
%define upstream_version 0.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    A framework for parsing O'Reilly's PseudoPod
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/A/AR/ARANDAL/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(HTML::Entities)
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Pod::Simple) >= 3.20.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Text::Wrap) >= 98.112.902
BuildArch:  noarch

%description
PseudoPod is an extended set of Pod tags used by O'Reilly and Associates
publishing for book manuscripts. Standard Pod doesn't have all the markup
options you need to mark up files for publishing production. PseudoPod adds a
few extra tags for footnotes, tables, sidebars, etc.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml README examples
%{perl_vendorlib}/Pod/PseudoPod.pm
%{perl_vendorlib}/Pod/PseudoPod/*
%{_mandir}/*/*
%{_bindir}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-7.mga6
+ Revision: 1032324
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.180.0-6.mga6
+ Revision: 934223
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.180.0-5.mga5
+ Revision: 744901
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.180.0-4.mga5
+ Revision: 686017
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.180.0-3.mga4
+ Revision: 514191
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.180.0-2.mga3
+ Revision: 371972
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + jquelin <jquelin>
    - update to 0.18

* Sun Jan 23 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 34164
- mageia rebuild
- imported package perl-Pod-PseudoPod


* Tue Mar 30 2010 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2010.1
+ Revision: 529783
- update to 0.16

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.150.0-2mdv2010.0
+ Revision: 408772
- force rebuild
- rebuild using %%perl_convert_version

* Thu Jun 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.15-1mdv2010.0
+ Revision: 387017
- update to new version 0.15

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.13-5mdv2009.0
+ Revision: 258230
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 0.13-4mdv2009.0
+ Revision: 246308
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.13-2mdv2008.1
+ Revision: 136345
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.13-2mdv2008.0
+ Revision: 86795
- rebuild


* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-02 18:47:24 (59626)
- 0.13

* Sat Sep 02 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 2006-09-02 18:46:24 (59625)
Import perl-Pod-PseudoPod

* Mon Oct 03 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.12-3mdk
- Fix BuildRequires

* Fri Sep 30 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.12-2mdk
- Buildrequires fix

* Fri Sep 23 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.12-1mdk
- Initial Mandriva release

